%define	name	cdparanoia
%define	major	0
%define	version	IIIa9.8
%define	release	10mdk
%define	fullname %{name}-III-alpha9.8
%define	libname	%mklibname cdda 0

Summary:	Utility to copy digital audio cd's.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.xiph.org/paranoia/download/%{fullname}.src.tar.bz2
Patch0:		cdparanoia-III-alpha9.8-includes.patch.bz2
Patch1:		cdparanoia-III-alpha9.8-cputoolize.patch.bz2
Patch2:		cdparanoia-II-alpha9.8-gcc3.4-fix.patch.bz2
Url:		http://www.xiph.org/paranoia/ 
License:	GPL
Group:		Sound
BuildRequires:	autoconf2.1
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This CDDA reader distribution ('cdparanoia') reads audio from the CDROM
directly as data, with no analog step between, and writes the data to a file
or pipe as .wav, .aifc or as raw 16 bit linear PCM.

cdparanoia is a complete rewrite of Heiko Eissfeldt's 'cdda2wav' program,
and generally is much better at succeeding to read difficult discs with
cheap drives.

%package -n	%{libname}
Summary:	Libraries for cdparanoia
Group:		Sound

%description -n	%{libname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%package -n	%{libname}-devel
Summary:	Development libraries for cdparanoia
Group:		Development/C
Provides:	libcdda-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%prep
%setup -q -n %{fullname}
%patch0 -p1 -b .includes
%patch1 -p1 -b .cputoolize
%patch2 -p1 -b .gcc34
autoconf

%build
rm -rf $RPM_BUILD_ROOT
%configure --libdir=%{_libdir}/cdparanoia
# (gb) don't use fortify, this package has ugly abuse of memcpy() that we can't cope with if it's a macro
# XXX would be better to define scsi cmds constants instead...
make OPT="-fsigned-char -finline-functions -Dsize16='short' -Dsize32='int' $RPM_OPT_FLAGS -U_FORTIFY_SOURCE"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install -m644 cdparanoia.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README GPL FAQ.txt
%attr(755,root,root) %{_bindir}/cdparanoia
%attr(644,root,root) %{_mandir}/man1/cdparanoia.1*

%files -n %{libname}
%defattr(644,root,root,755)
%doc GPL
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc GPL
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 9.8-10mdk
- don't build with fortify

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> IIIa9.8-9mdk
- fix gcc-3.4 build (P2)
- buildrequires
- cosmetics

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.8-8mdk
- Patch1: don't overwirte cputoolize'd config.{sub,guess}

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 9.8-7mdk
- disable parallel build, there was an error

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 9.8-6mdk
- rebuild for new rpm

* Fri Feb 21 2003 Warly <warly@mandrakesoft.com> IIIa9.8-4mdk
- mklibnamize

* Tue Jul 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> IIIa9.8-4mdk
- Patch1: Add missing includes
- Silentify %%setup

* Tue Dec 11 2001 Warly <warly@mandrakesoft.com> IIIa9.8-3mdk
- really IIIa9.8

* Mon Jul  2 2001 Warly <warly@mandrakesoft.com> IIIa9.8-2mdk
- clean spec

* Fri Jun  8 2001 Warly <warly@mandrakesoft.com> IIIa9.8-1mdk
- new version

* Sat Nov 25 2000 Warly <warly@mandrakesoft.com> IIIa9.7-5mdk
- split libraries

* Fri Nov 10 2000 Warly <warly@mandrakesoft.com> IIIa9.7-4mdk
- rebuilt for glib 2.2 with gcc 2.96

* Sat Aug 05 2000 Stefan van der Eijk <s.vandereijk@chello.nl> IIIa9.7-3mdk
- macroszifications
- BM
- Geoff <snailtalk@mandrakesoft.com> post and postun for libraries

* Tue Mar 28 2000 Warly <warly@mandrakesoft.com> IIIa9.7-2mdk
- add libs
- new package devel

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> IIIa9.7-1mdk
- new group name: Sound
- IIIa9.7

* Tue Dec 14 1999 Lenny Cartier <lenny@mandrakesoft.com>
- add docs from the website

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- III9.6
- fix the bug that preventing to rip an ATAPI cdrom

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- III alpha 9.5
- fixes to spec file

* Sat May 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations ;-).

* Tue Dec 22 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- handle RPM_OPT_FLAGS
- bzip2 man page

* Fri Dec 11 1998 Daniel Bergstrom <noa@melody.se>
- Updated to alpha9.3

* Thu Nov 19 1998 Daniel Bergstrom <daniel@futurniture.se>
- Updated to alpha9.2

* Tue Nov 17 1998 Daniel Bergstrom <daniel@bergstrom.net>
- Upgraded to alpha9.1

* Fri Nov 13 1998 Daniel Bergstrom <daniel@bergstrom.net>
- Upgraded to alpha9

* Mon Aug 24 1998 Fryguy_ <fryguy@falsehope.com>
  [III-alpha8-1]
- Upgraded to alpha8

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [III-alpha7-1]
- Upgraded to alpha7
- Spec rewrited to use %{name} and %{version} macros.
- %defattr macro in %files

* Thu Apr 30 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [III-alpha6-1]
- Initial release
